#! /bin/bash

SVC_PLIST="com.parallels.pmm.BigSurBlocker.plist"
SVC_PLIST_PATH="/Library/LaunchDaemons/$SVC_PLIST"
SVC_SCRIPT="BigSurBlocker.py"
SVC_SCRIPT_PATH="/usr/local/bin/$SVC_SCRIPT"

sudo launchctl unload "$SVC_PLIST_PATH" || echo "Failed to unload existing service"
sudo ditto "$SVC_PLIST" "$SVC_PLIST_PATH" || echo "Failed to copy service plist"
sudo chown root:wheel "$SVC_PLIST_PATH" || echo "Failed to set service plist owner"
sudo chmod 0755 "$SVC_PLIST_PATH" || echo "Failed to set service plist permissions"
sudo ditto "$SVC_SCRIPT" "$SVC_SCRIPT_PATH" || echo "Failed to copy service script"
sudo launchctl load "$SVC_PLIST_PATH" || echo "Failed to load service"